Bug 1247595 - install empty /etc/sysconfig/authconfig file
install empty /etc/sysconfig/authconfig file
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig (Show other bugs)
6.7
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 08:06 EDT by Dalibor Pospíšil
Modified: 2016-06-20 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1194698
Environment:
Last Closed: 2016-06-20 08:42:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dalibor Pospíšil 2015-07-28 08:06:47 EDT
+++ This bug was initially created as a clone of Bug #1194698 +++

Description of problem:
install empty /etc/sysconfig/authconfig file

authconfig --restorebackup will not delete the previously non-existent backup file and this will lead to wrong setup in /etc/nsswitch.conf

Version-Release number of selected component (if applicable):
authconfig-6.1.12-23.el6

How reproducible:

Steps to Reproduce:
1.authconfig --savebackup backup
2.authconfig --enableldap --enableforcelegacy --enablemkhomedir --disablecache --enableldapauth --update --ldapbasedn dc=my-domain,dc=com --ldapserver ldap://my-domain.com
3.authconfig --restorebackup backup
4.authconfig --enableldap --enableforcelegacy --enablemkhomedir --disablecache --enableldapauth --ldapbasedn dc=my-domain,dc=com --enableldaptls --ldapserver ldap://my-domain.com --update

Actual results:
cat /etc/nsswitch.conf | grep '^passwd'
passwd:     files


Expected results:
cat /etc/nsswitch.conf | grep '^passwd'
passwd:     files ldap
Comment 1 Peter Vrabec 2016-06-20 08:42:02 EDT
When Red Hat shipped 6.8 on May 10, 2016 RHEL 6 entered Production Phase 2.
https://access.redhat.com/support/policy/updates/errata#Production_2_Phase
That means only "Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released". 

Additionally, this issue has been resolved in Red Hat Enterprise Linux 7 which is still in Production Phase 1. Please consider upgrading to RHEL 7 where less than critical bugs, hardware enablement and feature requests can be addressed. Please re-open this Bugzilla if it is production impacting and critical for the customer and provide a thorough business justification.

Note You need to log in before you can comment on or make changes to this bug.